質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
CentOS

CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

phpMyAdmin

phpMyAdminはオープンソースで、PHPで書かれたウェブベースのMySQL管理ツールのことです。

PHP

PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

yum

yumコマンドは、UNIX系OSのRPMパッケージのインストールなどを行うためのプログラムのことです。

解決済

yum update phpMyAdminが失敗します

fedsintown
fedsintown

総合スコア4

CentOS

CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

phpMyAdmin

phpMyAdminはオープンソースで、PHPで書かれたウェブベースのMySQL管理ツールのことです。

PHP

PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

yum

yumコマンドは、UNIX系OSのRPMパッケージのインストールなどを行うためのプログラムのことです。

3回答

0評価

2クリップ

4302閲覧

投稿2020/01/27 00:55

編集2020/01/27 08:39

前提・実現したいこと

CentOS 7で構築したサーバー環境に、PHPをインストールしております。
yum update phpMyAdminを実行したいのですが、
関連パッケージの依存性解決法がわからず困っております。

発生している問題・エラーメッセージ

読み込んだプラグイン:fastestmirror, langpacks
Loading mirror speeds from cached hostfile

  • base: mirrors.cat.net
  • epel: ftp.iij.ad.jp
  • extras: mirrors.cat.net
  • remi: ftp.riken.jp
  • remi-php73: ftp.riken.jp
  • remi-safe: ftp.riken.jp
  • updates: mirrors.cat.net

依存性の解決をしています
--> トランザクションの確認を実行しています。
---> パッケージ phpMyAdmin.noarch 0:4.9.4-1.el7.remi を 更新
---> パッケージ phpMyAdmin.noarch 0:5.0.1-2.el7.remi を アップデート
--> 依存性の処理をしています: php-pragmarx-google2fa-qrcode >= 1.0.1 のパッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch
--> 依存性の処理をしています: php-symfony4-config >= 4.1 のパッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch
--> 依存性の処理をしています: php-symfony4-dependency-injection >= 4.1 のパッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch
--> 依存性の処理をしています: php-symfony4-expression-language >= 4.1 のパッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch
--> 依存性の処理をしています: php-symfony4-yaml >= 4.1 のパッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch
--> 依存性の処理をしています: php-tcpdf >= 6.3 のパッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch
--> 依存性の処理をしています: php-twig2 >= 2.4 のパッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch
--> 依存性の処理をしています: php-williamdes-mariadb-mysql-kbs >= 1.2 のパッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch
--> 依存性の処理をしています: php-phpmyadmin-sql-parser5 のパッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch
--> 依存性解決を終了しました。
エラー: パッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch (remi)
要求: php-pragmarx-google2fa-qrcode >= 1.0.1
エラー: パッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch (remi)
要求: php-williamdes-mariadb-mysql-kbs >= 1.2
エラー: パッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch (remi)
要求: php-twig2 >= 2.4
エラー: パッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch (remi)
要求: php-symfony4-dependency-injection >= 4.1
エラー: パッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch (remi)
要求: php-symfony4-config >= 4.1
エラー: パッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch (remi)
要求: php-tcpdf >= 6.3
インストール: php-tcpdf-6.2.26-1.el7.noarch (@epel)
php-tcpdf = 6.2.26-1.el7
エラー: パッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch (remi)
要求: php-symfony4-expression-language >= 4.1
エラー: パッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch (remi)
要求: php-phpmyadmin-sql-parser5
エラー: パッケージ: phpMyAdmin-5.0.1-2.el7.remi.noarch (remi)
要求: php-symfony4-yaml >= 4.1
問題を回避するために --skip-broken を用いることができます。
これらを試行できます: rpm -Va --nofiles --nodigest

試したこと

Yumのキャッシュ削除
PhpMyAdmin更新履歴等の調査

補足情報(FW/ツールのバージョンなど)

現象が発生した日時:2020/1/23(木)
ディストリビューション:CentOs 7
PHPのバージョン:7.3.14

他、足りない情報ありましたらご指摘いただけますと幸いです。
何卒よろしくお願いいたします、、。

追記

yukky1201様>
ご確認ありがとうございます。
実行結果は下記の通りです。


php.x86_64 7.3.14-1.el7.remi @remi-php73
php-PsrLog.noarch 1.1.0-1.el7 @epel
php-bacon-qr-code.noarch 1.0.3-1.el7 @epel
php-bcmath.x86_64 7.3.14-1.el7.remi @remi-php73
php-cli.x86_64 7.3.14-1.el7.remi @remi-php73
php-common.x86_64 7.3.14-1.el7.remi @remi-php73
php-composer-ca-bundle.noarch 1.2.3-1.el7 @epel
php-composer-semver.noarch 1.5.0-1.el7 @epel
php-composer-spdx-licenses.noarch 1.5.2-1.el7 @epel
php-composer-xdebug-handler.noarch 1.4.0-1.el7 @epel
php-fedora-autoloader.noarch 1.0.0-1.el7 @epel
php-gd.x86_64 7.3.14-1.el7.remi @remi-php73
php-gmp.x86_64 7.3.14-1.el7.remi @remi-php73
php-google-recaptcha.noarch 1.2.3-1.el7.remi @remi
php-intl.x86_64 7.3.14-1.el7.remi @remi-php73
php-json.x86_64 7.3.14-1.el7.remi @remi-php73
php-jsonlint.noarch 1.6.1-1.el7 @epel
php-justinrainbow-json-schema5.noarch 5.2.9-1.el7 @epel
php-mbstring.x86_64 7.3.14-1.el7.remi @remi-php73
php-mysqlnd.x86_64 7.3.14-1.el7.remi @remi-php73
php-paragonie-constant-time-encoding.noarch
php-paragonie-random-compat.noarch 2.0.18-1.el7 @epel
php-password-compat.noarch 1.0.4-1.el7 @epel
php-pdo.x86_64 7.3.14-1.el7.remi @remi-php73
php-pecl-mcrypt.x86_64 1.0.3-1.el7.remi.7.3 @remi-php73
php-pecl-mysql.x86_64 1.0.0-0.20.20180226.647c933.el7.remi.7 .3
@remi-php73
php-pecl-zip.x86_64 1.15.5-1.el7.remi.7.3 @remi-php73
php-php-gettext.noarch 1.0.12-1.el7 @epel
php-phpmyadmin-motranslator.noarch 4.0-1.el7.remi @remi
php-phpmyadmin-shapefile.noarch 2.0-1.el7 @epel
php-phpmyadmin-sql-parser.noarch 4.5.0-1.el7.remi @remi
php-phpseclib.noarch 2.0.23-1.el7.remi @remi
php-pragmarx-google2fa.noarch 3.0.3-1.el7.remi @remi
php-process.x86_64 7.3.14-1.el7.remi @remi-php73
php-psr-container.noarch 1.0.0-1.el7.remi @remi-safe
php-samyoul-u2f-php-server.noarch 1.1.4-1.el7.remi @remi
php-seld-phar-utils.noarch 1.0.1-1.el7 @epel
php-symfony-browser-kit.noarch 2.8.12-2.el7 @epel
php-symfony-class-loader.noarch 2.8.12-2.el7 @epel
php-symfony-common.noarch 2.8.12-2.el7 @epel
php-symfony-config.noarch 2.8.12-2.el7 @epel
php-symfony-console.noarch 2.8.12-2.el7 @epel
php-symfony-css-selector.noarch 2.8.12-2.el7 @epel
php-symfony-debug.noarch 2.8.12-2.el7 @epel
php-symfony-dependency-injection.noarch 2.8.12-2.el7 @epel
php-symfony-dom-crawler.noarch 2.8.12-2.el7 @epel
php-symfony-event-dispatcher.noarch 2.8.12-2.el7 @epel
php-symfony-expression-language.noarch 2.8.12-2.el7 @epel
php-symfony-filesystem.noarch 2.8.12-2.el7 @epel
php-symfony-finder.noarch 2.8.12-2.el7 @epel
php-symfony-http-foundation.noarch 2.8.12-2.el7 @epel
php-symfony-http-kernel.noarch 2.8.12-2.el7 @epel
php-symfony-polyfill.noarch 1.13.1-1.el7.remi @remi
php-symfony-process.noarch 2.8.12-2.el7 @epel
php-symfony-translation.noarch 2.8.12-2.el7 @epel
php-symfony-var-dumper.noarch 2.8.12-2.el7 @epel
php-symfony-yaml.noarch 2.8.12-2.el7 @epel
php-tcpdf.noarch 6.2.26-1.el7 @epel
php-tcpdf-dejavu-sans-fonts.noarch 6.2.26-1.el7 @epel
php-tidy.x86_64 7.3.14-1.el7.remi @remi-php73
php-twig.noarch 1.42.4-1.el7.remi @remi
php-twig-extensions.noarch 1.5.4-1.el7.remi @remi
php-xml.x86_64 7.3.14-1.el7.remi @remi-php73
php-xmlrpc.x86_64 7.3.14-1.el7.remi @remi-php73
phpMyAdmin.noarch 4.9.4-1.el7.remi @remi


良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

yukky1201

2020/01/27 08:33

インストール済みのphp情報をしりたいので、下記のコマンドと実行結果を質問に追記してください # yum list installed | grep php

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

CentOS

CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

phpMyAdmin

phpMyAdminはオープンソースで、PHPで書かれたウェブベースのMySQL管理ツールのことです。

PHP

PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

yum

yumコマンドは、UNIX系OSのRPMパッケージのインストールなどを行うためのプログラムのことです。